import request from '@/utils/request'

// 查询舆情分析数据
export function brief(query) {
  return request({
    url: '/system/dashboard/brief',
    method: 'get',
    params: query
  })
}

// 查询分时账单统计数据
export function hourBillCount(query) {
  return request({
    url: '/system/dashboard/hourBillCount',
    method: 'get',
    params: query
  })
}


// 查询分时账单统计数据
export function balancePeriod(query) {
  return request({
    url: '/system/dashboard/balancePeriod',
    method: 'get',
    params: query
  })
}

// 获取待办事项
export function getTodoList() {
  return request({
    url: '/system/dashboard/todoList',
    method: 'get'
  })
}

// 获取服务费、月费等收入和渠道成本
export function getServiceIncome(params) {
  return request({
    url: '/system/dashboard/serviceIncome',
    method: 'get',
    params
  })
}

// 根据月份获取分成金额
export function getBonusMonthAmount(params) {
  return request({
    url: '/system/dashboard/bonusMonthAmount',
    method: 'get',
    params
  })
}

// 根据天获取分成金额
export function getBonusDailyAmount(params) {
  return request({
    url: '/system/dashboard/bonusDailyAmount',
    method: 'get',
    params
  })
}

/**
 * 获取按日统计订单金额
 */
export function getBillDailyAmount(params) {
  return request({
    url: '/system/dashboard/billDailyAmount',
    method: 'get',
    params
  })
}

/**
 * 按商户统计分成
 */
export function getBonusGroupByMch(params) {
  return request({
    url: '/system/dashboard/bonusGroupByMch',
    method: 'get',
    params
  })
}